Bug 81142 - acpid needs a reasonable default setup (use apmscript?)
acpid needs a reasonable default setup (use apmscript?)
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Zdenek Prikryl
: Reopened
: 101189 120991 124585 137517 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-01-05 22:57 EST by Aleksey Nogin
Modified: 2008-04-30 03:56 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-30 03:56:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑cvs+

Attachments (Terms of Use)
enable sleep mode (236 bytes, patch)
2004-10-22 00:27 EDT, petrosyan
no flags Details | Diff
enable sleep mode (241 bytes, patch)
2004-12-01 20:20 EST, petrosyan
no flags Details | Diff

  None (edit)
Description Aleksey Nogin 2003-01-05 22:57:07 EST
I believe that acpid should come with some reasonable default configuration
file. In particular, it would probably be a good idea to call
/etc/sysconfig/apm-scripts/apmscript for resume/suspend/power change - this way
APM -> ACPI migration would be *much* easier. (Of course, that would mean that
/etc/sysconfig/apm-scripts/apmscript would have to be included in both apmd and
acpid packages)
Comment 1 Bill Nottingham 2003-01-06 15:41:51 EST
More or less deferring for now. ACPI will not be in the release.
Comment 2 Aleksey Nogin 2003-07-23 14:07:19 EDT
Now acpid is the defaut again and again I lost:
 - any ability to figure out what the battery status is
 - any ability to suspend/resume

on my Dell Lattitude C640
Comment 3 Bill Nottingham 2003-07-23 14:56:27 EDT
acpid does neither of those things for you.

battery status requires parsing the acpi battery format file (i.e., a bug in
whatever monitor applet), or having acpi have a backwards compatible /proc/apm
(a kernel solution.)

Suspend is more-or-less entirely a kernel implementation issue.
Comment 4 Aleksey Nogin 2003-07-23 15:00:30 EDT
Are you saying that BIOS suspend is not going to be available with ACPI and I
can only hope for swsuspend?
Comment 5 Bill Nottingham 2003-07-23 15:04:18 EDT
Try 'echo "S4" > /proc/acpi/sleep' (I think that's the right file) - does that
do anything?
Comment 6 Aleksey Nogin 2003-07-23 15:17:57 EDT
"cat /proc/acpi/sleep" shows: S0 S1 S3 S4 S4Bios S5
"echo S4 > /proc/acpi/sleep" and "echo S4Bios > /proc/acpi/sleep" seem to be
silently ignored (same with S0, S1, S3 and S5).
Comment 7 Milan Kerslager 2003-07-23 16:48:30 EDT
echo S4 does nothing here too (Compaq Evo N1015v).
Comment 8 Ronny Buchmann 2003-07-27 13:22:14 EDT
When the ac and battery module is loaded, you should get the ac and battery state.

why aren't these modules not modprobed when loading acpid (only button)?
Comment 9 Ronny Buchmann 2003-07-28 04:14:47 EDT
Comment 10 Aleksey Nogin 2003-07-29 17:23:54 EDT
Ah, it should be just "4", not "S4"! On my laptop, echo 4 > /proc/acpi/sleep
gets me a BIOS message telling me I have no hibernation disk partition (which is
true). Now the question is - is one of those S levels supposed to give me BIOS'
Comment 11 Matthew Miller 2003-07-29 17:42:04 EDT
No suspend-to-RAM at all on 2.4. Apparently works on some systems in 2.6.
Comment 12 Bill Nottingham 2003-07-29 18:48:55 EDT
*** Bug 101189 has been marked as a duplicate of this bug. ***
Comment 13 Ronny Buchmann 2003-10-07 14:28:05 EDT
This should be fixed before Cambridge.
Comment 14 Ronny Buchmann 2003-11-15 06:52:22 EST
sample.conf in FC1 is ok (reaction on button/power)

please CLOSE with resolution CURRENTRELEASE
Comment 15 Aleksey Nogin 2003-11-15 21:36:21 EST
sample.conf is completely insufficient! ACPI should do something
reasonable for suspend/resume and power changes (switching between AC
and battery, and low battery)
Comment 16 Sergio Monteiro Basto 2004-06-01 20:37:38 EDT
well I am do it exactly this, next weekend maybe I ll post some here 
and It is very easy.
I have already the project name: "ACPI logger"
Comment 17 Bill Nottingham 2004-07-08 15:15:25 EDT
*** Bug 124585 has been marked as a duplicate of this bug. ***
Comment 18 Bill Nottingham 2004-07-08 15:15:48 EDT
*** Bug 120991 has been marked as a duplicate of this bug. ***
Comment 19 petrosyan 2004-10-22 00:27:13 EDT
Created attachment 105637 [details]
enable sleep mode

This patch enters the machine into the sleep mode (S3) when the sleep button is
Comment 20 Bill Nottingham 2004-10-29 12:46:44 EDT
*** Bug 137517 has been marked as a duplicate of this bug. ***
Comment 21 petrosyan 2004-12-01 20:20:57 EST
Created attachment 107750 [details]
enable sleep mode
Comment 22 Bill Nottingham 2005-03-16 17:33:51 EST

*** This bug has been marked as a duplicate of 111958 ***
Comment 23 Aleksey Nogin 2006-02-10 14:30:41 EST
Bug 111958 ended up being marked as a dup of bug 169476, which simply asks for
acpid not to interfere with gnome-power-manager when both are running. 

But when no gnome-power-manager is running (the user is using KDE or nobody is
logged in), we still need a reasonable default config for acpid - including
things like handling the sleep mode and tweaking the "laptop" mode parameters on
AC/battery transitions (the same way apmscript used to do it for APM).
Comment 24 Red Hat Bugzilla 2007-02-05 14:25:22 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 25 Zdenek Prikryl 2007-07-20 08:17:14 EDT
Package Change Request
Package Name: acpid
Updated Fedora Owners: zprikryl@redhat.com
Comment 26 Jens Petersen 2007-07-24 09:41:23 EDT
Comment 27 Zdenek Prikryl 2007-08-09 06:56:38 EDT
Problem is, that each vendor uses different acpi codes for keys and events (lid,
sleep button, etc). So there is no way, how to simply create common scripts for
those things. One can create lot of event handlers in /etc/acpi/events/*, on
this days contains only two basic scripts. But this event handlers depend on a
NB or a PC which you use. Today, many users use combination of HAL, pm-utils and
quirk instead acpid for handling this stuff. It is simpler to set and use. For
more info check http://people.freedesktop.org/~hughsient/quirk/index.html.

Comment 28 Bug Zapper 2008-04-03 11:26:23 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 29 Aleksey Nogin 2008-04-03 12:02:14 EDT
I use RHEL, not Fedora these days and have no idea if this is still relevant.
Comment 30 John Poelstra 2008-04-04 17:24:54 EDT
Should this bug remain open?
Comment 31 Zdenek Prikryl 2008-04-08 07:51:55 EDT
No, I think this bug should not remain open. There is no way how to create
universal scripts. Reason is that each vendor has his own ACPI codes for events.
So one have to create scripts by himself.

Note You need to log in before you can comment on or make changes to this bug.